<?php add_action( 'vc_before_init', 'dt_sc_separator_vc_map' );
function dt_sc_separator_vc_map() {
	vc_map( array(
		"name" => esc_html__( "Separator", 'dental-core' ),
		"base" => "dt_sc_separator",
		"icon" => "dt_sc_separator",
		"category" => DT_VC_CATEGORY,
		"params" => array(

			// Style
			array(
				'type' => 'dropdown',
				'param_name' => 'style',
				'value' => array(
					esc_html__( 'Horizontal', 'dental-core' ) => 'horizontal',
					esc_html__( 'Vertical', 'dental-core' ) => 'vertical',
				),
      			'admin_label' => true,
				'heading' => esc_html__( 'Style', 'dental-core' ),
				'description' => esc_html__( 'Select separator display style', 'dental-core' )
			),

			// Horizontal Separator
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Type', 'dental-core'),
				'param_name' => 'horizontal_type',
				'value' => array( esc_html__('Small','dental-core') => 'small',
					esc_html__('Single Line','dental-core') => 'single-line',
					esc_html__('Single Line Dashed','dental-core') => 'single-line-dashed',
					esc_html__('Single Border','dental-core') => 'single-border',
					esc_html__('Diamond','dental-core') => 'diamond',
					esc_html__('Single Line Dotted','dental-core') => 'single-line-dotted',
					esc_html__('Arrow Line','dental-core') => 'arrow-headed-hr'
				),
				'std' => 'small',
				'dependency' => array( 'element' => 'style', 'value' => 'horizontal' )				
			),

			// Vertical Separator
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Type', 'dental-core'),
				'param_name' => 'vertical_type',
				'value' => array( esc_html__('Normal','dental-core') => '', esc_html__('Small','dental-core') => 'small' ),
				'std' => 'small',
				'dependency' => array( 'element' => 'style', 'value' => 'vertical' )				
			),
			
			# Class
      		array(
      			"type" => "textfield",
      			"heading" => esc_html__( "Extra class name", 'dental-core' ),
      			"param_name" => "class",
      			'description' => esc_html__('Style particular element differently - add a class name and refer to it in custom CSS','dental-core')
      		)
		)
	) );	
}?>